%define name gps3d
%define version 1.20
%define release 2

%define mapdir %{_datadir}/%{name}

Summary: GPS3D - utilities to manipulate a handled GPS and vizualize the result in 3D
Name: %{name}
Version: %{version}
Release: %{release}
License: Public domain
Group: Applications/Multimedia
Url: http://www.mgix.com/gps3d/
Vendor: Emmanuel Mogenet <mgix@mgix.com>
Prefix: %{_prefix}

Source: http://www.mgix.com/gps3d/%{name}-%{version}.tar.bz2
Patch0: gps3d-1.20-opt_flags.patch
Patch1: gps3d-1.20-file-locations.patch

BuildPrereq: XFree86-devel, Mesa-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
GPS3D is a collection of utilities to manipulate a handled GPS device from
your PC, and vizualize the result in 3D. 
        
Even without a GPS device, you can still use gps3d to play interactively
with a 3D texture mapped model of earth.

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
make RPM_FLAGS="$RPM_OPT_FLAGS \
	-DMAP_FILE=\\\"%{mapdir}/map.pnm\\\" \
	-DTRACK_FILE=\\\"./Track\\\"" \
	LDFLAGS="-s -lstdc++"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{mapdir}}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/gps $RPM_BUILD_ROOT%{_bindir}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/gpsd $RPM_BUILD_ROOT%{_bindir}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/viz $RPM_BUILD_ROOT%{_bindir}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/map.pnm $RPM_BUILD_ROOT%{mapdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/gps
%{_bindir}/gpsd
%{_bindir}/viz
%dir %{mapdir}
%{mapdir}/map.pnm
%doc Changelog.txt Readme.txt Track

%changelog
* Fri Nov 11 2005 Peter Hanecak <hanecak@megaloman.sk> 1.20-2
- rebuild (FC4)
- s/Copyright/License/
- changed group
- fixed licence

* Thu Jun  2 2005 Peter Hanecak <hanecak@megaloman.sk> 1.20-1
- update to 1.20

* Thu Feb 22 2001 Peter Hanecak <hanecak@megaloman.sk>
[1.16-1]

* Fri Sep 29 2000 Peter Hanecak <hanecak@megaloman.sk>
[1.13-1]
- %%{_prefix} usead instead of %%{prefix}

* Sun Aug 27 2000 Peter Hanecak <hanecak@megaloman.sk>
[1.12-1]
- initial spec
